<template>
  <dashboard-layout title="AgenceUpdate">
    <div class="container-fluid"  style="margin: 50px 0 0 0;">

      <div class="auth-form col-sm-11 mx-auto">
        <h2 class="auth-title mb-5">Mise à Jour des Informations de l'Agence</h2>
        <div class="alert alert-danger" v-if="errorMessage">
          {{ errorMessage }}
        </div>
        <form @submit="update">
          <div class="row">
            <div class="col-6">
              <div class="form-group">
                <label class="form-label"> Nom de l'Agence </label>
                <input
                  type="text"
                  class="form-control"
                  v-model="user.name"
                  required
                  placeholder="Votre numéro de téléphone"
                />
              </div>
              <div class="row">
                <div class="form-group col-6">
                  <label class="form-label"> Téléphone </label>
                  <input
                    type="text"
                    class="form-control"
                    v-model="user.phone"
                    required
                  />
                </div>
                <div class="form-group col-6">
                  <label class="form-label"> Adresse </label>
                  <input
                    type="text"
                    class="form-control"
                    v-model="user.addressAgence"
                    required
                  />
                </div>
              </div>
              <div class="form-group">
                <label class="form-label"> N° IFU </label>
                <input
                  type="text"
                  class="form-control"
                  v-model="user.ifu"
                  required/>
              </div>
              <div class="form-group">
                <label class="form-label"> N° RCCM </label>
                <input
                  type="text"
                  class="form-control"
                  v-model="user.rccm"
                  required/>
              </div>
            </div>
            <div class="col-6">
              <div class="form-group">
                <label class="form-label"> Nom & Prénom(s) du Gérant </label>
                <input
                  type="text"
                  class="form-control"
                  v-model="user.gerantFullname"
                  required/>
              </div>
              <div class="row">
                <div class="form-group col-6">
                  <label class="form-label"> Téléphone du Gérant </label>
                  <input
                    type="text"
                    class="form-control"
                    v-model="user.gerantPhone"
                    required/>
                </div>
                <div class="form-group col-6">
                  <label class="form-label"> Email du Gérant </label>
                  <input
                    type="mail"
                    class="form-control"
                    v-model="user.gerantEmail"
                    required/>
                </div>
              </div>
              <div class="form-group">
                <label class="form-label"> Type de Pièce du Gérant </label>
                <select class="form-control" v-model="user.gerantPieceType">
                  <option value="cni">Carte Nationale d'Ifdentié (CNI)</option>
                  <option value="passeport">Passeport </option>
                </select>
              </div>
              <div class="form-group">
                <label class="form-label"> Numéro de la pièce du Gérant </label>
                <input
                  type="text"
                  class="form-control"
                  v-model="user.gerantPieceNumber"
                  required/>
              </div>
            </div>
          </div>
          <div class="form-group">
            <input
              type="submit"
              class="btn btn-light btn-block"
              value="Valider"
            />
          </div>
        </form>
        </div>

    </div>
  </dashboard-layout>
</template>

<script>

export default {
  name: "Agence",
  components: {
  },
  data() {
    return {
      user: {},
      errorMessage:''
    };
  },
  mounted() {
    if (localStorage.getItem("adminId")) {
      this.$service.getMe((err, data) => {
        if (err) {
          console.log("Error", err.data);
          return;
        }
        if (data.admin) {
          this.user = data.admin;
          //console.log(this.user)
        }
      });
    }
  },

  methods: {
    update(e){
      e.preventDefault();
      delete this.user['_id'];
      delete this.user['id'];
      delete this.user['createdAt'];
      delete this.user['updatedAt'];
      console.log("user ", this.user);
      
      this.$service.updateUser(localStorage.getItem("adminId"),this.user,(err, data) => {
          if (err) {
            this.errorMessage = err.data && err.data.message;
            console.log("Error", err.data);
            return;
          }
          this.$swal.fire("Compte Mise à jour !!!", "", "success").then(() => {
            this.$router.push({ path: "/accueil" });
          });
        }
      );
    },
  },
};
</script>

<style scoped>
  .card-label {
    font-size: 12px;
    font-weight: 400;
  } 
@media screen and (min-width: 180px) and (max-width: 650px) and (max-width: 1120px) {

}
</style>
